/*
 * FormUtils.h
 *
 * header file for FormUtilsp.c
 *
 * Copyright (c) 2003 George Styles
 * All rights reserved.
 */
 
#ifndef FORMUTILS_H_
#define FORMUTILS_H_

#include "KeyMapList.h"
/*********************************************************************
 * Public Types
 *********************************************************************/

/*********************************************************************
 * Public Constants
 *********************************************************************/

/*********************************************************************
 * Public Functions
 *********************************************************************/
extern void SetFormFieldFromString(FormType * frm, int TheField, char * TheText);
extern void SetStringFromFormField(char * AString, FormType * frm, int TheField);

extern void SetFormObjectVisible(FormType * frm, int TheField, Bool isVisible);

extern void KeyCodeToKeyName(KeyCodeType AKeyCode, char *buf); // buf is 30 chars long!
extern void KeyCodeToString(KeyCodeType AKeyCode, char *buf); // buf is 30 chars long!

extern void DoDebugAlert(char *s);

extern void DisableJogAssist();

extern void RunActionSequence(char *action);

#endif