/*
 * PrefsForm.h
 *
 * header file for PrefsForm.c
 *
 * Copyright (c) 2003 Olivier Grardin
 * All rights reserved.
 */
 
#ifndef PREFS_FORM_H_
#define PREFS_FORM_H_

/*********************************************************************
 * Public Types
 *********************************************************************/
// screen panning proportions
typedef enum {
	PANNING_PROP_16 = 0,
	PANNING_PROP_32,
	PANNING_PROP_64,
	PANNING_PROP_128,
	PANNING_PROP_256,
	PANNING_PROP_COUNT
} PanningProp;


// preference struct
typedef struct VncPreferenceType {
	UInt8 scrollbarWidth;
	Boolean disableProgressBar;
	IndexedColorType scrollBgColor;
	IndexedColorType scrollSliderColor;
	PanningProp screenPanningProp;
} VncPreferenceType;

/*********************************************************************
 * Public Constants
 *********************************************************************/
#define PREFS_VERSION 203

/*********************************************************************
 * Public Functions
 *********************************************************************/
//extern Boolean PrefsFormHandleEvent(EventPtr event);
extern void DoPrefsForm();

#endif
